org.scalatest.fixture.FixtureFlatSpec

# ItVerbStringTaggedAs

#### class ItVerbStringTaggedAs extends AnyRef

Class that supports the registration of tagged tests via the `ItWord` instance referenced from `FixtureFlatSpec`'s `it` field.

This class enables syntax such as the following tagged test registration:

    it should "pop values in last-in-first-out order" taggedAs(SlowTest) in { ... }
                                                                         ^

It also enables syntax such as the following registration of an ignored, tagged test:

    it should "pop values in last-in-first-out order" taggedAs(SlowTest) ignore { ... }
                                                                         ^

In addition, it enables syntax such as the following registration of a pending, tagged test:

    it should "pop values in last-in-first-out order" taggedAs(SlowTest) is (pending)
                                                                         ^

For more information and examples of the use of the `it` field to register tagged tests, see the Tagging tests section in the main documentation for trait `FlatSpec`.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ItVerbStringTaggedAs
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ItVerbStringTaggedAs (verb: String, name: String, tags: List[Tag])

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def ignore (testFun: (FixtureParam) ⇒ Any): Unit

    Supports the registration of ignored, tagged, one-arg tests (tests that take a `FixtureParam` object as a parameter) in a `FixtureFlatSpec`.

    Supports the registration of ignored, tagged, one-arg tests (tests that take a `FixtureParam` object as a parameter) in a `FixtureFlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" taggedAs(SlowTest) ignore { fixture => ... }
                                                                           ^

    For examples of ignored test registration, see the Ignored tests section in the main documentation for trait `FlatSpec`. And for examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

14. #### def ignore (testFun: () ⇒ Any): Unit

    Supports the registration of ignored, tagged, no-arg tests in a `FixtureFlatSpec`.

    Supports the registration of ignored, tagged, no-arg tests in a `FixtureFlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" taggedAs(SlowTest) ignore { () => ... }
                                                                           ^

    For examples of ignored test registration, see the Ignored tests section in the main documentation for trait `FlatSpec`. And for examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

15. #### def in (testFun: (FixtureParam) ⇒ Any): Unit

    Supports the registration of tagged, one-arg tests (tests that take a `FixtureParam` object as a parameter) in a `FixtureFlatSpec`.

    Supports the registration of tagged, one-arg tests (tests that take a `FixtureParam` object as a parameter) in a `FixtureFlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" taggedAs(SlowTest) in { fixture => ... }
                                                                           ^

    For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

16. #### def in (testFun: () ⇒ Any): Unit

    Supports the registration of tagged, no-arg tests in a `FixtureFlatSpec`.

    Supports the registration of tagged, no-arg tests in a `FixtureFlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" taggedAs(SlowTest) in { () => ... }
                                                                           ^

    For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

17. #### def is (testFun: ⇒ PendingNothing): Unit

    Supports the registration of pending, tagged tests in a `FlatSpec`.

    Supports the registration of pending, tagged tests in a `FlatSpec`.

    This method supports syntax such as the following:

        it must "pop values in last-in-first-out order" taggedAs(SlowTest) is (pending)
                                                                           ^

    For examples of pending test registration, see the Pending tests section in the main documentation for trait `FlatSpec`. And for examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

18. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

19. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def toString (): String

    Definition Classes
      AnyRef → Any

24. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any